PHPAdsNew Remote Arbitrary Code Execution Vulnerability

phpAdsNew is a web site banner management application written in PHP.

A problem exists in phpAdsNew that will allow a remote attacker to execute arbitrary code on a host running the software(with the privileges of the webserver process). It is possible to supply arbitrary data to the $include variable. As a result, the affected script may be redirected to execute arbitrary code located on an external host, as specified by the attacker.

This issue can be exploited if the remote attacker submits a maliciously crafted URL.


 

Privacy Statement
Copyright 2010, SecurityFocus